// Problem: No user interaction causes no change to application
// Solution: When user interacts cause changes

var color = $(".selected").css("background-color");
var $canvas = $("canvas");
var context = $canvas[0].getContext("2d");
var lastEvent;

// when control list item is selected, select the right color
// using 'on' function so we can dynamically add more li elements with this function
$(".controls").on("click", "li", function () {
  // deselect sibling elements
  $(this).siblings().removeClass("selected");
  // mark selected one as selected
  $(this).addClass("selected", true);
  // store the color of selected item
  color = $(this).css("background-color");
});


// When "New Color" is clicked
$("#revealColorSelect").click(function () {
  changeColor();
  $("#colorSelect").toggle();  
});


function changeColor() {
  var r = $("#red").val();
  var g = $("#green").val();
  var b = $("#blue").val();
  $("#newColor").css("background-color", "rgb(" + r + "," + g + "," + b + ")");
}
// when color sliders change
$("input[type=range]").change(changeColor);
  // update the new color span

// When "Add Color" is selected
$("#addNewColor").click(function () {
  var $newColor = $("<li></li>");
  $newColor.css("background-color", $("#newColor").css("background-color"));
  $(".controls ul").append($newColor);
  // select the new color
  $newColor.click();

});

// On mouse events on the canvas
$canvas.mousedown(function (e) {
  lastEvent = e;
}).mousemove(function (e){
  // draw lines
  context.beginPath();
  context.moveTo(lastEvent.offsetX, lastEvent.offsetY);
  context.lineTo(e.offsetX, e.offsetY);
  context.stroke();
});




